#!/bin/bash
# Script to install a prebuilt package

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

systemd_unitdir=${base_libdir}/systemd

do_buildstep_prepend

if [ ! -z "${serial_consoles}" ] ; then
	default_baudrate=`echo "${serial_consoles}" | sed 's/:.*//'`
	log_exec install -d ${D}${systemd_unitdir}/system/
	log_exec install -d ${D}${sysconfdir}/systemd/system/getty.target.wants/
	log_exec install -m 0644 ${WORKDIR}/serial-getty@.service ${D}${systemd_unitdir}/system/
	sed -i -e s/\@BAUDRATE\@/$default_baudrate/g ${D}${systemd_unitdir}/system/serial-getty@.service
	
	tmp="${serial_consoles}"
	for entry in $tmp ; do
	
		
		baudrate=`echo $entry | sed 's/:.*//'`
		ttydev=`echo $entry | sed -e 's/^.*://' -e 's/:.*//'`
		if [ "$baudrate" = "$default_baudrate" ] ; then
			# enable the service
			log_exec ln -sf ${systemd_unitdir}/system/serial-getty@.service \
				${D}${sysconfdir}/systemd/system/getty.target.wants/serial-getty@$ttydev.service
		else
			# install custom service file for the non-default baudrate
			log_exec install -m 0644 ${WORKDIR}/serial-getty@.service ${D}${systemd_unitdir}/system/serial-getty$baudrate@.service
			sed -i -e s/\@BAUDRATE\@/$baudrate/g ${D}${systemd_unitdir}/system/serial-getty$baudrate@.service
			# enable the service
			log_exec ln -sf ${systemd_unitdir}/system/serial-getty$baudrate@.service \
				${D}${sysconfdir}/systemd/system/getty.target.wants/serial-getty$baudrate@$ttydev.service
		fi
		
	done
fi

do_buildstep_append