# !/bin/bash
# Import the native-gcc script from the current scripts set

native_gcc=$(search_script native-gcc)
if [ -z "$native_gcc" -a ! -r native-gcc ]; then
	fatal 1 "No native-gcc script, neither from buildstep resources nor from generic scripts"
fi

# If the recipe provides a native-gcc script, use it, otherwise get the most recent script provided by the framework
if [ ! -r "$recipe_metadatadir/resources/native-gcc" ]; then
	if [ -n "$native_gcc" -a -r "$native_gcc" -a "$native_gcc" -nt native-gcc ]; then
		log_exec cp $native_gcc native-gcc
	fi
fi
