#!/bin/bash
#
# Recipe-specific step for task Configure: task.configure.qemu-native_3.0.0-r0 (configure.sh)
#
# This script was imported from Yocto but may have been modified locally
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_configure() {
	# Append build host pkg-config paths for native target since the host may provide sdl
	BHOST_PKGCONFIG_PATH=$(PATH=/usr/bin:/bin pkg-config --variable pc_path pkg-config || echo "")
	if [ ! -z "$BHOST_PKGCONFIG_PATH" ]; then
		export PKG_CONFIG_PATH=$PKG_CONFIG_PATH:$BHOST_PKGCONFIG_PATH
	fi
    log_exec ${srcDir}/configure --prefix=${prefix} --bindir=${bindir} --includedir=${includedir} --libdir=${libdir} --mandir=${mandir} --datadir=${datadir} --docdir=${datadir}/doc/${recipe_base_name} --sysconfdir=${sysconfdir} --libexecdir=${libexecdir} --with-confsuffix=/${recipe_base_name} --disable-strip --disable-werror --target-list=arm-linux-user,arm-softmmu,aarch64-linux-user,aarch64-softmmu --extra-cflags='-isystem'"${includedir}"' -O2 -pipe' --disable-linux-aio --audio-drv-list='oss alsa' --disable-bluez --disable-bzip2 --disable-curses --enable-fdt --disable-gcrypt --disable-opengl --disable-gnutls --disable-gtk --disable-vte --enable-kvm --disable-cap-ng --disable-curl --disable-libiscsi --disable-libusb --disable-lzo --disable-nettle --disable-smartcard --disable-numa --disable-sdl --disable-spice --disable-libssh2 --disable-usb-redir --disable-virglrenderer --disable-virtfs --disable-vnc-jpeg --disable-vnc-png --disable-vnc-sasl --disable-xen --disable-xfsctl --python=python2.7
}

do_buildstep_prepend

local_do_configure

do_buildstep_append

